Skip to main content
GET
TypeScript

Authorizations

Authorization
string
header
required

JWT access token or API token (prefixed with zipp_)

Path Parameters

orgId
string
required

Organization ID

Example:

"org_01HZX9K2QF"

carrierId
string
required

Carrier ID

Example:

"carr_01HZX9K2QF"

Response

Default Response

name
string
required

Display name of the carrier product

Example:

"PostNord MyPack Home"

productId
string
required

Unique carrier product identifier

Example:

"PNL13"

type
enum<string>
required

Direction of the shipment for this product

Available options:
outbound,
inbound
Example:

"outbound"

availableCountries
string[]
required

Receiver countries this product delivers to

ISO 3166-1 alpha-2 receiver country code

availableSenderCountries
string[]
required

Sender countries supported by this product

ISO 3166-1 alpha-2 sender country code

isServicePoint
boolean
default:false
required

Whether this product delivers to a service point

Example:

false

isPickupAvailable
boolean
default:false
required

Whether carrier pickup is available for this product

Example:

true

description
string

Description of the carrier product

Example:

"Home delivery within Denmark"

services
object[]

Additional services available for this product

additionalParameters
object[]

Extra parameters that can or must be supplied for this product

weightLimits
object

Allowed weight range for parcels using this product